/*
 * FlightSystemGUI.java
 *
 * Created on 4 dcembre 2004, 18:52
 */
import reservation.Mode;
import reservation.CustomDialog;

/**
 * <B>The main entry to the Flight Reservation System with a GUI </B>
 * The class FlightSystemGUI implements the entry point of the program. 
 * The main method of the program execute the graphic mode by creating a new instance of CustomDialog.
 * @author Frederic Bidon and Mathieu Texier
 * @version 1.0
 * @see FlightSystem
 */
public class FlightSystemGUI {
    
    /** Creates a new instance of FlightSystemGUI */
    public FlightSystemGUI () {
    }
    
    /**
     * Execute the program that open the main window of the graphic mode.
     * @param unUsed String array no used for this mode
     */
    public static void main (String[] unUsed) {
        Mode mode= new CustomDialog (Mode.DEBUG);
        mode.process ();       
    }
    
}
